@font-face {
    font-family: "Anta";
    src: url("../../../fonts/Anta-Regular.ttf");
    font-weight: 400;
    font-style: normal;
}
@font-face {
    font-family: "Barlow";
    src: url("../../../fonts/Barlow/Barlow-Regular.ttf");
    font-weight: 400;
    font-style: normal;
}
@font-face {
    font-family: "BarlowBold";
    src: url("../../../fonts/Barlow/Barlow-Bold.ttf");
    font-weight: 600;
    font-style: normal;
}
@font-face {
    font-family: "AlegreyaSans";
    src: url("../../../fonts/AlegreyaSans/AlegreyaSans-Regular.ttf");
    font-weight: 400;
    font-style: normal;
}
:root
{
    /*** fonts ***/
    --baseFontSize: 20px;
    --headerFont: 'Anta', Arial, Helvetica, sans-serif;
    --defaultFont: "Barlow", Helvetic, Arial, sans-serif;
    --menuFont: "AlegreyaSans", "Barlow", Helvetica, Arial, sans-serif;

    /*** heights ***/
    --topBarHeight: 8rem;
    --teaserHeight: auto;
    --maxTeaserHeight: calc((90vh - var(--headerHeight)) - 5rem);

    /*** width ***/
    --contentWidth: 1340px;

    /*** backgrounds ***/
    --gradientBackground: -webkit-linear-gradient(left, #072487 0%, #e9f3e7 50%, #072487 100%);
    --gradientBackgroundr: -webkit-linear-gradient(left, #e9f3e7 0%, #072487  50%, #e9f3e7 100%);

    /*** colours ***/
    --secondaryclr: #e43312;
    --primaryclr: #072487;
    --lightColor: #484848;
    --lightGreyColor: #e9f3e7;
    --lightGreen: #e9f3e7;
    --midGreen: #b5d8af;
    --shadowColor: #b5d8af;
    --headerColour: var(--primaryclr);
    --imgTextRightBG: var(--secondaryclr);
    --imgTextLeftBG: var(--lightGreyColor);

    /*** timing ***/
    --topTransitionSpeed: 0.5s;
}

#page
{
    padding-top: var(--headerHeight);
    transition: all var(--topTransitionSpeed) linear;
}

#page.indexPage
{
    --teaserHeight: 1050px;
    --maxTeaserHeight: calc((100vh - var(--headerHeight)) - 10em);
}

@media screen and (max-width: 2000px)
{
    #page.indexPage
    {
        --teaserHeight: calc(100vw * 0.6);
    }
}

.teaserEl
{
    height: var(--teaserHeight);
}

#page.scrolled-down
{
    --topBarHeight: 0;
}

#outerOuterWrapper
{
    max-width: 100vw;
    overflow: clip;
}

#teaserWrapper
{
    top: 0;
    background: var(--gradientBackground);
    z-index: 1;
}

#teaser div.teaserImg
{
    position: relative;
}

.maxContent
{
    margin-inline: 2rem;
}
#contentWrapper
{
    position: relative;
    z-index: 2;
}
/***
#mainContent header h3.headerItem
{
    font-size: clamp(2rem, 4vw + 0.3rem, 3rem );
}
***/
#mainContent header.hasSubheader
{
    flex-direction: column;
    padding-bottom: 2rem;
}

.textBody h3,
.contentBodyText h3
{
    padding-top: 0;
    padding-bottom: 0.5rem;
    color: var(--secondaryclr);
}

body a, body a:visited
{
    color: var(--primaryclr);
}

body a:hover
{
    color: var(--secondaryclr);
}

body ul a, body ul a:visited
{
    color: var(--primaryclr);
}

body h1,
h2,
h3 a,
h3 a:visited
{
    color: var(--secondaryclr);
}

body h1, h2, h3 a:hover
{
    color: var(--primaryclr);
}

p
{
    text-wrap: pretty;
}


.textBody ul:not(.twoColsItem ul, .ce-textpic ul)
{
    width: calc(100vw - 2rem );
}


/*** multi column ***/
.twoCols
{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    column-gap: clamp(2rem, 5vw, 4rem );
}

.twoColsItem
{
    display: table-cell;
    height: 100%;
}

.twoCols .twoColsItem header.hasSubheader
{
    height: 14rem;
}

.twoCols .hasSubheader
{
    background-color: var(--headerColour);
    color: white;
}

.contentItemBackground_greyBG .twoColsItem
{
    background-color: var(--lightGreen);
}

.twoCols .hasSubheader h3,
.twoCols .hasSubheader h2,
.twoCols .hasSubheader h4
{
    color: inherit;
}
.threeCols
{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(200px, 1fr));
}

.threeColsItem
{
    display: table-cell;
    height: 100%;
}

.threeColsItem .sectionInnerWrapper,
.threeColsItem .sectionInner,
.threeColsItem .frame
{
    height: 100%;
}

.threeColsItem .frame-type-textpic
{
    background-color: var(--lightGreyColor);
}

.threeColsItem .frame-type-textpic .textBody
{
    padding-inline: 1rem;
    padding-bottom: 1rem;
}

/*** header area ***/
#headerOverlay
{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: color-mix(in srgb, var(--primaryclr) 50%, transparent);
}
.notouch #mainMenuWrapper ul.level1 li.level1:hover ul.level2
{
    box-shadow: 15px 20px 10px -10px rgba(0,0,0,0.25);
}

#logo
{
    position: relative;
    left: unset;
    top: unset;
    height: 100%;
    width: fit-content;
    padding-top: 0.2rem;
    padding-right: 0.2rem;
    /*background-image: url("images/bg.png");*/
    transition: none;
}

#logo > a
{
    height: 100%;
}

#logo img
{
    height: 100%;
    width: auto;
    box-shadow: 0.3rem 0.3rem 0.5rem rgba(0,0,0,0.3);
    border-radius: 0.2rem;
}

.indexPage #teaser,
.indexPage #teaser div.teaserImg
{
    height: var(--teaserHeight);
    max-height: var(--maxTeaserHeight);
}

.indexPage div.teaserImgInnerWrapper
{
    height: var(--teaserHeight);
    max-height: unset;
}

#teaser h1
{
    text-transform: uppercase;
    text-wrap: balance;
}

.stdPage2 #teaser h1
{
    text-transform: unset;
}

#breadCrumb
{
    display: flex;
    align-items: baseline;
    position: absolute;
    gap: 0.2em;
    right: 1rem;
    top: 0.4rem;
    font-size: clamp(12px, 1vw + 0.1rem, 0.9rem);
    z-index: 1;
}

#breadCrumb ol
{
    display: flex;
    gap: 0.4em;
    margin-left: 0;
    padding-left: 0;
    padding-block: 0;
    list-style: none;
}

#mainContent header.hasSubheader > .subHeader
{
    text-transform: unset;
    line-height: 44px;
    letter-spacing: 1px;
    font-weight: 400;
    font-size: 1.7em;
    opacity: 0.8;
}

/** header colours ***/
header h1,
header h2
{
    color: var(--headerColour);
}

h1, h2
{
    font-size: clamp(1.3rem, 3vw + 0.3rem, 1.8rem);
    text-wrap: balance;
}
/*** vertical flipping ***/
/* Container needs a perspective set for 3D effects to be visible */
.teaserImgInnerWrapper
{
    perspective: 1000px; /* Adjust as necessary to get the desired depth */
    overflow: clip;
}
.bgTeaser
{
    position: absolute;
    top: 0;
    height: 100%;
    width: 0%; /* initially no width, expand on flip */
    transform-origin: left center;
    transform: rotateY(90deg) rotateX(5deg); /* start vertically rotated and skewed out of view */
    overflow: clip;
    opacity: 0;
    transition: transform 1s, width 1s 0.2s, opacity 1s 0.2s; /* control the timing of each property */
}
/* Set the correct background-size for the entire container */
.bgTeaser
{
    background-size: 500% 100%; /* stretches the single image across all slices */
}
/* Positioning and background for each slice */
.bgTeaserSlice1
{
    left: 0;
    background-position: 0 0;
}
.bgTeaserSlice2
{
    left: 20%;
    margin-left: -1px;
    background-position: -100% 0;
}
.bgTeaserSlice3
{
    left: 40%;
    margin-left: -2px;
    background-position: -200% 0;
}
.bgTeaserSlice4
{
    left: 60%;
    margin-left: -3px;
    background-position: -300% 0;
}
.bgTeaserSlice5
{
    left: 80%;
    margin-left: -4px;
    background-position: -400% 0;
}

.flipped {
    width: 20%; /* Width set when flipped */
    transform: rotateY(0deg) rotateX(0deg); /* Rotate to flat and add a slight tilt backwards */
    opacity: 1;
}

.bgTeaserSlice5.flipped
{
    width: calc(20% + 4px);
}

/*** teaser ***/
#teaser
{
    max-width: min(2000px,99.9dvw);
    margin-inline: auto;
}
.indexPage div.teaserImg
{
    position: relative;
}

.indexPage .teaserTextWrapper
{
    position: absolute;
    top: calc(var(--headerHeight) + var(--topBarHeight) + 5rem);
    transition: top var(--topTransitionSpeed) linear;
    transform: translate(-50%,0);
}

.indexPage .teaserAlign2 .teaserTextWrapper
{
    transform: translate(-50%,0);
}

.scrolled-down .teaserTextWrapper
{
    top: calc(var(--headerHeight) + 5rem );
}

.teaserText
{
    max-width: unset;
    padding-inline: 1.5rem;
    padding-top: 2rem;
    padding-bottom: 0.5rem;
    background-color: rgba(255,255,250,0.6);
}

.teaserTextWrapper
{
    transform: translate(-50%, -40%);
    top: 40%;
    left: 50%;
    transition: top 1s ease-in-out;
}

.teaserSubHeader
{
    margin-top: -0.5rem;
    margin-bottom: 1.5rem;
    text-align: unset;
}

.teaserText .bodyText
{
    max-width: 800px;
}

/*** main content ***/
#mainContent > div:first-child
{
    padding-top: 3rem;
}

#greyContent
{
    position: relative;
    margin-bottom: 3rem;
    background-color: color-mix(in srgb, var(--primaryclr) 40%, transparent);
}

#greyBG
{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: var(--gradientBackground);
}

.contentItemBackground_greyBG .textBody
{
    padding-inline: 1.5rem;
    padding-bottom: 2rem;
}

.contentItemBackground_lightGreyBG .frameInner
{
    padding-inline: 1.5rem;
    padding-block: 2rem;
    background-color: var(--secondaryclr);
    color: white;
}

.contentItemBackground_lightGreyBG .headerItem
{
    padding-top: 0 !important;
    color: inherit;
    font-weight: 500;
}

.contentItemBackground_backgroundBG .sectionInner
{
    padding-inline: 2.5rem;
    width: calc(var(--contentWidth) + 5rem);
    background-color: var(--lightGreen);
}

.multicolumn .contentItem header h3
{
    margin-top: 0;
    padding-top: 2rem;
}

.contentBodyText hr
{
    margin-top: 2em;
    border: 4px solid var(--secondaryclr);
}

section:has(.frame-layout-7)
{
    background-color: color-mix(in srgb, var(--primaryclr) 50%, transparent);
}

/*** special menu types ***/
.frame-type-menu_subpages ul,
.subPageList
{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
    grid-column-gap: 2.5rem;
    grid-row-gap: 2rem;
    width: auto;
    margin-left: 0;
    padding-left: 0;
    margin-block: 2rem;
}
.frame-type-menu_subpages ul > li a,
.frame-type-menu_subpages ul > li a:visited
{
    padding-inline: unset;
    padding-block: unset;
    text-transform: unset;
}
.menuPages
{
    display: grid;
    margin-left: 0;
    padding-left: 0;
    list-style: none;
}
.subPageList
{
    grid-template-columns: repeat( auto-fit,minmax(320px, 1fr) );
    grid-column-gap: 2rem;
    grid-row-gap: 2rem;
    padding-bottom: 2rem;
}

.subPageList .column > a,
.subPageList .column > article
{
    position: relative;
    display: block;
    height: 100%;
    width: auto;
    max-width: 490px;
    margin-inline: auto;
    background-color: #f0f0f0;
    color: var(--defaultColor);
    border-radius: 1rem;
    box-shadow: 0.2rem 0.2rem 0.4rem rgba(0, 0, 0, 0.3);
}

.subPageList .column > a:hover
{
    color: var(--primaryclr);
    box-shadow: 0.4rem 0.4rem 0.8rem rgba(0, 0, 0, 0.5);
}

.subPageList .moreInfoText
{
    position: absolute;
    display: block;
    bottom: 0.7rem;
    right: 1rem;
    padding-inline: 1rem;
    padding-top: 0.2rem;
    padding-bottom: 0.3rem;
    background-color: white;
    color:var(--secondaryclr);
    border-radius: 0.6rem;
    box-shadow: 0.2rem 0.2rem 0.4rem rgba(0, 0, 0, 0.3);
}

.subPageList header
{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 3rem;
    padding-inline: 2rem;
}

.subPageList header h3
{
    margin-top: 0;
    margin-bottom: 0;
    font-family: var(--headerFont);
    text-align: center;
    font-size: 1.3rem;
}

.subPageList img
{
    width: 100%;
    height: auto;
}

.subPageList .pageInfo
{
    padding-inline: 2rem;
    padding-bottom: 2.5rem;
    padding-top: 0.6rem;
    font-size: 0.85em;
}

.pagesItemTitle
{
    padding-block: 2rem;
    padding-inline: 2rem;
    margin-bottom: 2.5rem;
    background-color: var(--secondaryclr);
}

.pagesItemTitle > *
{
    margin: 0;
    padding: 0;
    font-size: clamp(2rem, 4vw + 0.3rem, 3rem );
    color: white;
}

.menuSubpagesAbstract
{
    --hoverTransition: 0.8s;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax( 280px, 1fr ));
    grid-column-gap: 2rem;
    grid-row-gap: 2rem;
    list-style: none;
}

.menuSubpagesAbstract li
{
    font-size: 20px;
}

.menuSubpagesAbstract .menuItemInner
{
    box-shadow: 8px 8px 5px 0 rgba(34, 34, 34, .25);
}

.menuSubpagesAbstract > li:hover .menuItemInner
{
    box-shadow: 8px 8px 5px 0 var(--shadowColor);
}

.menuSubpagesAbstract > li:hover .menuTextLink div
{
    box-shadow: inset 0 -10px 0 0 var(--lightGreen);
}

.menuSubpagesAbstract .pagesImage
{
    background-color: #222;
    overflow: clip;
}

.menuSubpagesAbstract .pagesImage img
{
    display: block;
    /*** aspect-ratio: 0.97; ***/
    min-height: 100%;
    width: auto;
    min-width: 100%;
    object-fit: cover;
    opacity: 0.5;
    transition: transform .35s, scale var(--hoverTransition) ease-in-out;
}

.menuSubpagesAbstract .menuTextLink div
{
    margin-top: 1em;
    display: inline-block;
    width: auto;
    font-weight: 600;
    box-shadow: inset 0 -10px 0 0 rgba(34, 34, 34, .05);
}

.menuSubpagesAbstract .menuItemInner
{
    position: relative;
}

.menuSubpagesAbstract .subPageTitle
{
    position: absolute;
    left: 50%;
    top: 50%;
    font-size: 3rem;
    color: white;
    transform: translate(-50%,-50%);
    transition: scale var(--hoverTransition) ease-in-out, transform var(--hoverTransition) ease-in-out;
    pointer-events: none;
    hyphens: manual;
    z-index: 1;
}

.menuSubpagesAbstract > li:hover .menuItemInner img,
.menuSubpagesAbstract > li:hover .menuItemInner .subPageTitle
{
    scale: 1.2;
}
.menuSubpagesAbstract > li:hover .menuItemInner .subPageTitle
{
    transform: translate(-40%,-40%);
}

/*** contact form ***/
.powermail_form,
.powermail_create
{
    max-width: min(90dvw, 860px);
    margin-inline: auto;
    padding-inline: 2rem;
    padding-block: 2rem;
    background-color: #f0f0f0;
    border-radius: 1rem;
    box-shadow: 0.2rem 0.2rem 0.4rem rgba(0, 0, 0, 0.3);
}
.powermail_create tr > td:first-of-type
{
    padding-right: 1rem;
}
.powermail_form .powermail_input,
textarea.powermail_textarea
{
    padding: 1em 1em;
    background-color: color-mix(in srgb, var(--primaryclr) 20%, transparent);
    border-radius: 0.2rem;
    border: unset;
    color: black;
}

.powermail_form > h3,
.powermail_fieldset > legend
{
    display: none;
}

.powermail_file
{
    background-color: var(--primaryclr);
    color: white;
}

ul.powermail-errors-list.filled
{
    bottom: -0.8rem;
}

.powermail_fieldwrap_type_check > label
{
    max-width: 30rem;
    margin-left: unset;
    padding-left: 0.5em;
    text-indent: unset;
    font-size: 0.6em;
    font-family: var(--headerFont);
    font-weight: bold;
}

.tx-powermail form input.powermail_submit
{
    display: block;
    width: fit-content;
    padding-inline: 1.5rem;
    padding-block: 0.5rem;
    margin-left: auto;
    border-radius: 0.5rem;
    font-family: var(--headerFont);
}

.tx-powermail form input.powermail_submit:hover
{
    color: #ffffff;
}

.stdPage2 .twoColsItem h3:not(.headerItem)
{
    padding-inline: 2rem;
    padding-block: 0.5rem;
    margin-bottom: 0;
    color: #ffffff;
    background-color: var(--midGreen);
}

.stdPage2 .twoColsItem p
{
    padding-inline: 2rem;
    padding-block: 1rem;
    margin-bottom: 1rem;
    background-color:  var(--lightGreen);
}

.stdPage2 .twoColsItem p a
{
    font-weight: 700;
}


    /*** buttons ***/
p:has(.moreLink),
p:has(.secondaryButton),
p:has(.primaryButton)
{
    width: fit-content;
    margin-top: 1rem;
}
p.text-center:has(.moreLink),
p.text-center:has(.secondaryButton),
p.text-center:has(.primaryButton)
{
    margin-left: auto;
    margin-right: auto;
}
p.text-right:has(.moreLink),
p.text-right:has(.secondaryButton),
p.text-right:has(.primaryButton)
{
    margin-left: auto;
}

.secondaryButton,
.primaryButton
{
    display: inline-block;
    padding-right: 1.5em;
    padding-left: 1.5em;
    padding-top: 0.3em;
    padding-bottom: 0.3em;
    text-decoration: none;
    text-transform: uppercase;
    border-radius: 0.5rem;
    cursor: pointer;

    transition: all 0.8s ease-in-out;
}

a.primaryButton,
a.primaryButton:visited
{
    color: white;
    background-color: var(--primaryclr);
}

a.primaryButton:hover
{
    color: black;
    background-color: var(--secondaryclr);
}

a.secondaryButton,
a.secondaryButton:visited
{
    color: black;
    background-color: var(--secondaryclr);
}

a.secondaryButton:hover
{
    background-color: var(--primaryclr);
    color: white;
}

    /*** pictureStyles ***/
.ce-textpic.ce-intext.ce-nowrap .ce-gallery
{
    flex-grow: 0;
}

.ce-border img
{
    border: none;
    border-radius: 2.5rem;
}

a.moreLink, a.moreLink:visited
{
    background-color: var(--secondaryclr);
    margin-left:0;
}

.skjsonlylightbox img
{
    border-radius: 1rem;
}

.ce-textpic.ce-intext:has(.textBody > h3) .ce-gallery
{
    margin-top: 2rem;
}

    /*** footer ***/
#footerWrapper
{
    border-top: none;
    background: var(--gradientBackground);
    color: var(--primaryclr);
}

#bottom-menu,
#footer
{
    flex-direction: row;
}

.footerAddressHeader
{
    font-size: 1.4rem;
    color: var(--secondaryclr)
}
.footerLogo img
{
    max-width: 180px;
    height: auto;
    border-radius: 1rem;
}
#bottom-menu
{
    gap: 0.6rem;
    align-items: flex-start;
    position: relative;
    top: 50%;
    font-size: 1.2rem;
    transform: translateY(-50%);
}

.footerComponent
{
    display: flex;
    justify-content: space-between;
    width: 100%;
}

#bottom-menu a,
#bottom-menu a:visited
{
    color: var(--secondaryclr);
    font-weight: 600;
    text-transform: capitalize;
}

@media screen and (max-width: 1060px)
{
    :root
    {
        --baseFontSize: 18px;
        --headerHeight: 5em;
    }
}

@media screen and (max-width: 960px)
{
    #teaser
    {
        height: var(--teaserHeight);
        max-height: var(--maxTeaserHeight);
    }
    #teaser div.teaserImg,
    div.teaserImgInnerWrapper,
    #teaser .teaserImg img.teaserImage
    {
        height: 100%;
    }

    .teaserImgInnerWrapper > img
    {
        height: 100%;
        width: auto;
        object-fit: cover;
    }
}

@media screen and  (max-width: 940px)
{
    .ce-textpic.ce-right.ce-intext.ce-nowrap,
    .ce-textpic.ce-intext.ce-nowrap
    {
        flex-direction: column;
    }
    .ce-textpic.ce-intext.ce-nowrap .ce-gallery .ce-row
    {
        display: flex;
        justify-content: center;
    }
    .ce-textpic.ce-intext.ce-nowrap .ce-gallery:first-child
    {
        margin-top: 0;
    }
    .ce-textpic.ce-intext.ce-nowrap .ce-gallery
    {
        min-width: unset;
        max-width: 100%;
    }
    #greyContent
    {
        margin-bottom: 0.5rem;
    }
}
@media screen and (max-width: 900px)
{
    :root
    {
    }

    .twoCols:not(.hasPowermail, .contentItemBackground_normal .twoCols)
    {
        grid-template-columns: repeat(1, 1fr);
    }

    #footer .footerLogo img
    {
        width: 180px;
        max-width: 40vw;
        height: auto;
    }

    #footer .footerAddressHeader
    {
        font-size: 16px;
    }

    #footer #bottom-menu
    {
        font-size: 0.9rem;
    }
}

@media screen and (max-width: 800px)
{
    :root
    {
    }
    #mainMenu a
    {
        padding-left:0;
        padding-right: 0;
    }

    #footer .footerLogo img
    {
        width: 200px;
        max-width: 40vw;
        height: auto;
    }

    .twoCols.hasPowermail
    {
        grid-template-columns: repeat(1, 1fr);
    }

    .textBody
    {
        padding-top: 5px;
    }
    .indexPage .teaserTextWrapper
    {
        top: 3rem;
    }
    #mainContent > div:first-child
    {
        padding-top: 1.5rem;
    }
    .ce-intext.ce-right .ce-gallery,
    .ce-intext.ce-left .ce-gallery
    {
        display: block;
        clear: none;
        margin-bottom: 0.8rem;
    }
    .ce-intext.ce-right .ce-gallery
    {
        float: right !important;
    }

    .ce-intext.ce-left .ce-gallery
    {
        float: left !important;
    }
    .ce-intext.ce-right .ce-gallery img,
    .ce-intext.ce-left .ce-gallery img
    {
        max-width: 45dvw;
        height: auto;
    }
}

@media screen and (max-width: 560px)
{
    :root
    {
    }
    body:not(.indexPage) .teaserTextWrapper
    {
        top: unset;
        bottom: 2rem;
        transform: translate(-50%,0);
    }
    .indexPage .teaserAlign2 .teaserTextWrapper
    {
        transform: translate(-50%, -30%);
    }
    #footer > .footerComponent
    {
        position: relative;
        padding-top: 7.5rem;
    }
    .footerLogo
    {
        position: absolute;
        top: 1.2rem;
        left: 50%;
        transform: translateX(-50%);
    }
    #bottomMenu
    {
        margin-inline: auto;
        margin-top: 2rem;
    }
}
@media screen and (max-width: 480px)
{
    .indexPage .teaserTextWrapper
    {
        top: 0.5rem;
    }
}
@media screen and (max-height: 760px)
{
    .teaserTextWrapper
    {
        top: 30% !important;
        bottom: unset;
        right: unset;
        left: 50%;
    }
}
@media screen and (max-height: 480px)
{
    .teaserTextWrapper
    {
        top: 50% !important;
        zoom: 0.7;
    }
}

